For the complete documentation index, see llms.txt. This page is also available as Markdown.

UPI To Account - Penny Drop

Fetch Bank Account by UPI is a secure service that enables businesses to retrieve detailed bank account information linked to a VPA. This service returns VPA (Virtual Payment Address), account holder name, account number, and IFSC, ensuring accurate payroll processing, financial transactions, and KYC verification. Designed for fintech platforms, digital lenders, and enterprises, this API enhances fraud prevention and compliance by validating bank account ownership before initiating payments..

upi_to_account

POST https://secctrl.tutelar.io/api/v2/kyc/banking/upi_to_account

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

upiId

String

Yes

UPI ID is a unique digital address

Sample Post Parameters

{
    "upiId": "abc@exampleupi"
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2966939f-d987-48a8-a233-70138acb4235",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name": "ABCD JOHN A",
        "account_number": "0000888666999",
        "ifsc_code": "CNRB0000001",
        "upi_id": "abc@exampleupi"
    },
    "requested_at": "2026-07-27T10:30:05.550Z",
    "completed_at": "2026-07-27T10:30:09.688Z"
}
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2966939f-d987-48a8-a233-70138acb4235",
    "status": "in_progress",
    "requested_at": "2026-07-27T10:30:05.550Z",
}

Check Api Status

Get account details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v2/kyc/banking/upi_to_account

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated